/*
 * profiles8.c --
 *
 * This file contains profile data in byte format
 *
 * Copyright (c) 2004 Zarlink Semiconductor Inc.
 * All rights reserved.
 * Zarlink Semiconductor confidential and proprietary information.
 *
 * Project Info --
 *   File:  L:\uvb_svn\sdk\apps\qs_le71hr0030_dat\LE71HR0030.vpw
 *   Type:  Custom Design Using Zarlink Semiconductor VE790 - Le79Q2241
 *   Date:  Tuesday, July 31, 2007 09:02:21
 *
 *   This file was generated with Profile Wizard Version: 1.7.6
 */

#include "profiles8.h"


/*** Device Parameters for VE790 Device Family ***/
const VpProfileDataType DEV_PROFILE[] =
{
  /* Device Profile */
 0x00, 0xFF, 0x00, 0x14, /* Profile Index and Length */
 0x03, 0x00, /* Version and MPI Command */
 0x20, 0x00, /* PCLK Frequency */
 0x9F, 0x00, /* Device Config 1 and MCLK Correction */
 0x40, 0x05, /* Clock Slot and Max Events */
 0x05, 0x00, /* Device Tickrate */
 0x00, 0x00, 0x00, 0x00, /* RSVD */
 0x00, 0x00, /* RSVD */
 0x22, 0x01, 0x7F, 0xFF  /* Linecard Parameters */
};

/************** AC Coefficients **************/

/* AC 600 FXS */
const VpProfileDataType AC_600R_FXS[] =
{
  /* AC Profile */
 0x00, 0x00, 0x00, 0x50, 0x00, 0x4D, 0xCA, 0x14, 0x84, 0x80, 0xA4, 0x00,
 0x62, 0x0C, 0xA8, 0xFF, 0xEC, 0xF6, 0xAE, 0xFF, 0x3D, 0x0B, 0xE7, 0x8A,
 0x83, 0x2C, 0x01, 0x2C, 0xFD, 0x12, 0x04, 0x0B, 0xFD, 0x85, 0x03, 0xE7,
 0x3C, 0xB4, 0x88, 0x02, 0xD3, 0xF6, 0x0A, 0x09, 0xA0, 0x02, 0xB3, 0xF7,
 0x54, 0x45, 0xBC, 0x82, 0x6E, 0x20, 0x80, 0x18, 0x02, 0x86, 0x00, 0x57,
 0x00, 0x07, 0xFF, 0xF1, 0xFF, 0xE2, 0xF4, 0x10, 0xEA, 0xD3, 0xF9, 0x0F,
 0x96, 0x00, 0x66, 0x82, 0x2D, 0x00, 0x52, 0x8E, 0x04, 0x8C, 0x04, 0x00
};

/************** DC Parameters **************/

/* DC 25mA Constant Current */
const VpProfileDataType DC_25MA_CC[] =
{
  /* DC Profile */
 0x00, 0x01, 0x00, 0x1A, 0x00, 0x18, 0xC6, 0x24, 0x0D, 0x1D, 0x00, 0x20,
 0x6B, 0x7F, 0x33, 0x22, 0x00, 0x0D, 0x04, 0x0C, 0x07, 0xC2, 0x0D, 0x64,
 0x0D, 0x01, 0x30, 0x00, 0x10, 0x0D
};

/* DC 40mA, Resistive Feed */
const VpProfileDataType DC_40MA_RF[] =
{
  /* DC Profile */
 0x00, 0x01, 0x00, 0x1A, 0x00, 0x18, 0xC6, 0x2E, 0x00, 0x23, 0x00, 0x26,
 0x2D, 0x24, 0x41, 0x2D, 0x00, 0x0D, 0x1A, 0x33, 0x0A, 0xC2, 0x0D, 0x64,
 0x0D, 0x01, 0x30, 0x00, 0x10, 0x0F
};

/************** Ring Parameters **************/

/* Ringing 20Hz */
const VpProfileDataType RING_20HZ_SINE[] =
{
  /* Sine, 20 Hz, 1.41 CF, 80.00 Vpk, 0.00 Bias */
  /* Ringing Profile */
 0x00, 0x04, 0x00, 0x10, 0x00, 0x0D, 0xD2, 0x00, 0x00, 0x01, 0x01, 0x5B,
 0x4C, 0x33, 0x9C, 0x00, 0x00, 0x68, 0x04, 0x00
};

/* Ringing 25Hz */
const VpProfileDataType RING_25HZ_SINE[] =
{
  /* Sine, 25 Hz, 1.41 CF, 80.00 Vpk, 0.00 Bias */
  /* Ringing Profile */
 0x00, 0x04, 0x00, 0x10, 0x00, 0x0D, 0xD2, 0x00, 0x00, 0x01, 0x41, 0xB1,
 0xA5, 0x33, 0x9C, 0x00, 0x00, 0x68, 0x04, 0x00
};

/* Ringing 40Hz Trapezoidal */
const VpProfileDataType RING_40HZ_TRAP[] =
{
  /* Trap, 40 Hz, 1.20 CF, 80.00 Vpk, 0.00 Bias */
  /* Ringing Profile */
 0x00, 0x04, 0x00, 0x10, 0x00, 0x0D, 0xD2, 0xFF, 0x9C, 0x05, 0x95, 0xE0,
 0x48, 0x33, 0x9C, 0x00, 0x00, 0x68, 0x04, 0x00
};

/************** Call Progress Tones **************/

/* US Dial Tone */
const VpProfileDataType TONE_DIAL[] =
{
 /* 350 Hz, -13.00 dBm0, 440 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x00, 0x14, 0x01, 0x00, 0x00, 0x00, 0x11, 0x8A, 0x07, 0x2A,
 0x16, 0x02, 0x07, 0x2A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* Special Information Tone (Called Number Not Connected) */
const VpProfileDataType TONE_SIT[] =
{
 /* 950 Hz, -8.00 dBm0, 1400 Hz, -8.00 dBm0, 1800 Hz, -8.00 dBm0, 0 Hz, 0.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x00, 0x14, 0x01, 0x00, 0x00, 0x00, 0x2E, 0xA7, 0x0C, 0xBD,
 0x42, 0xE1, 0x0C, 0xBD, 0x53, 0x21, 0x0C, 0xBD, 0x00, 0x00, 0x00, 0x00
};

/* Busy Signal */
const VpProfileDataType TONE_BUSY[] =
{
 /* 480 Hz, -16.00 dBm0, 620 Hz, -16.00 dBm0, 480 Hz, -16.00 dBm0, 620 Hz, -16.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x00, 0x14, 0x01, 0x00, 0x00, 0x00, 0x17, 0xFC, 0x05, 0x12,
 0x1E, 0xDC, 0x05, 0x12, 0x17, 0xFC, 0x05, 0x12, 0x1E, 0xDC, 0x05, 0x12
};

/* Standard Ringback */
const VpProfileDataType TONE_RINGBACK[] =
{
 /* 440 Hz, -13.00 dBm0, 480 Hz, -13.00 dBm0, 440 Hz, -13.00 dBm0, 480 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x00, 0x14, 0x01, 0x00, 0x00, 0x00, 0x16, 0x02, 0x07, 0x2A,
 0x17, 0xFC, 0x07, 0x2A, 0x16, 0x02, 0x07, 0x2A, 0x17, 0xFC, 0x07, 0x2A
};

/* Call Waiting Beep */
const VpProfileDataType TONE_CALLWAIT[] =
{
 /* 440 Hz, -13.00 dBm0, 0 Hz, 6.02 dBm0, 440 Hz, 0.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x00, 0x14, 0x01, 0x00, 0x00, 0x00, 0x16, 0x02, 0x07, 0x2A,
 0x00, 0x00, 0x00, 0x00, 0x16, 0x02, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* US Reorder tone */
const VpProfileDataType TONE_REORDER[] =
{
 /* 480 Hz, -16.00 dBm0, 620 Hz, -16.00 dBm0, 440 Hz, 0.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x00, 0x14, 0x01, 0x00, 0x00, 0x00, 0x17, 0xFC, 0x05, 0x12,
 0x1E, 0xDC, 0x05, 0x12, 0x16, 0x02, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* A 1kHz tone at -10dBm0 */
const VpProfileDataType TONE_ONEKHZ_L[] =
{
 /* 1000 Hz, -10.00 dBm0, 0 Hz, -13.00 dBm0, 440 Hz, 0.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x00, 0x14, 0x01, 0x00, 0x00, 0x00, 0x30, 0xFC, 0x0A, 0x1E,
 0x00, 0x00, 0x00, 0x00, 0x16, 0x02, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* A 1kHz tone at 0dBm0 */
const VpProfileDataType TONE_ONEKHZ_H[] =
{
 /* 1000 Hz, 0.00 dBm0, 0 Hz, -13.00 dBm0, 440 Hz, 0.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x00, 0x14, 0x01, 0x00, 0x00, 0x00, 0x30, 0xFC, 0x20, 0x00,
 0x00, 0x00, 0x00, 0x00, 0x16, 0x02, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* Caller ID Alert Tone for UK Cadence */
const VpProfileDataType TONE_CLI[] =
{
 /* 2130 Hz, -13.00 dBm0, 2750 Hz, -13.00 dBm0, 440 Hz, 0.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x00, 0x14, 0x01, 0x00, 0x00, 0x00, 0x5F, 0x03, 0x07, 0x2A,
 0x70, 0xE3, 0x07, 0x2A, 0x16, 0x02, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* Receiver Off-Hook */
const VpProfileDataType TONE_ROH[] =
{
 /* 1400 Hz, 0.00 dBm0, 2060 Hz, 0.00 dBm0, 2450 Hz, 0.00 dBm0, 2600 Hz, 0.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x00, 0x14, 0x01, 0x00, 0x00, 0x00, 0x42, 0xE1, 0x20, 0x00,
 0x5C, 0x9E, 0x20, 0x00, 0x69, 0x03, 0x20, 0x00, 0x6D, 0x23, 0x20, 0x00
};

/************** Cadence Definitions **************/

/* Continuous ON Cadence */
const VpProfileDataType TONE_CAD_DIAL0[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x00, 0x08, 0x00, 0x00, 0x00, 0x04, 0x00, 0x8F, 0x20, 0x00
};

/* Stutter dial tone cadence */
const VpProfileDataType TONE_CAD_DIAL1[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x00, 0x10, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x8F, 0x20, 0x14,
 0x00, 0x80, 0x20, 0x14, 0x40, 0x03, 0x00, 0x8F
};

/* Busy signal cadence (0.5 sec on 0.5 sec off) */
const VpProfileDataType TONE_CAD_BUSY0[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x00, 0x0E, 0x00, 0x00, 0x00, 0x0A, 0x00, 0x8F, 0x20, 0x64,
 0x00, 0x80, 0x20, 0x64, 0x40, 0x00
};

/* Tone Reorder cadence (0.25 sec on 0.25 sec off) */
const VpProfileDataType TONE_CAD_REORDER[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x01, 0x0E, 0x00, 0x00, 0x00, 0x0A, 0x00, 0x8F, 0x20, 0x32,
 0x00, 0x80, 0x20, 0x32, 0x40, 0x00
};

/* Standard Ringing Cadence (2 sec on 4 sec off) */
const VpProfileDataType RING_CAD_STD[] =
{
  /* Cadence Profile */
 0x00, 0x08, 0x00, 0x16, 0x00, 0x00, 0x00, 0x12, 0x01, 0x07, 0x21, 0x90,
 0x01, 0x05, 0x02, 0x01, 0x23, 0x20, 0x01, 0x07, 0x21, 0x90, 0x01, 0x05,
 0x44, 0x00
};

/* Ringback Cadence */
const VpProfileDataType TONE_CAD_RNGBACK[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x01, 0x0E, 0x00, 0x00, 0x00, 0x0A, 0x00, 0x8F, 0x21, 0x90,
 0x00, 0x80, 0x23, 0x20, 0x40, 0x00
};

/* Ringing Always On */
const VpProfileDataType RING_CAD_ON[] =
{
  /* Cadence Profile */
 0x00, 0x08, 0x01, 0x08, 0x00, 0x00, 0x00, 0x04, 0x00, 0x8F, 0x20, 0x00
};

/* Receiver Off-Hook */
const VpProfileDataType TONE_CAD_ROH[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x01, 0x0E, 0x00, 0x00, 0x00, 0x0A, 0x00, 0x8F, 0x20, 0x14,
 0x00, 0x80, 0x20, 0x14, 0x40, 0x00
};

/* SIT Cadence */
const VpProfileDataType TONE_CAD_SIT[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x01, 0x14, 0x00, 0x00, 0x00, 0x10, 0x00, 0x81, 0x20, 0x3C,
 0x00, 0x82, 0x20, 0x3C, 0x00, 0x84, 0x20, 0x3C, 0x00, 0x80, 0x20, 0x00
};

/************** Caller ID **************/

/* US Caller ID Type II */
const VpProfileDataType CID_TYPE2_US[] =
{
  /* Space=2100Hz, Mark=1300Hz, Amp=-22.00dBm */
  /* Caller ID Profile */
  0x00, 0x06, 0x00, 0x4C, 0x00, 0x00,
  0x09, 0xD4, /* MPI Length and Command */
  0x43, 0x33, 0x06, 0xD2, 0x29, 0x99, 0x06, 0xD2, /* MPI Data */
  0x00, 0x00, /* Checksum Part of Message Data */
  0x00, 0x3C, /* Length of Elements Data */
  0x00, 0x02, /* Mute the far end */
  0x00, 0x04, /* Alert Tone */
  /* Call Waiting Beep */
  /* 440 Hz, -13.00 dBm0, 0 Hz, 6.02 dBm0 */
  0x09, 0xD4, 0x16, 0x02, 0x07, 0x2A, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x05, 0x01, 0x2C, /* Alert Tone Part 2 - Tone+Cadence = 300ms */
  0x00, 0x06, 0x00, 0x0A, /* Silence Interval for 10ms */
  0x00, 0x04, /* Alert Tone */
  /* Caller ID Alert Tone for UK Cadence */
  /* 2130 Hz, -13.00 dBm0, 2750 Hz, -13.00 dBm0 */
  0x09, 0xD4, 0x5F, 0x03, 0x07, 0x2A, 0x70, 0xE3, 0x07, 0x2A,
  0x00, 0x05, 0x00, 0x50, /* Alert Tone Part 2 - Tone+Cadence = 80ms */
  0x00, 0x08, 0x00, 0xA0, 0x00, 0xD0, 0x00, 0x00, /* Detect Tone A | D, Timeout = 160ms */
  0x00, 0x06, 0x00, 0x64, /* Silence Interval for 100ms */
  0x00, 0x0A, 0x00, 0x46, /* Mark Signal for 70ms */
  0x00, 0x0B, /* Message Data (FSK Format) */
  0x00, 0x03, /* Unmute the far end */
  0x00, 0x0D  /* End of Transmission */
};

/* US Caller ID */
const VpProfileDataType CLI_TYPE1_US[] =
{
  /* Space=2200Hz, Mark=1200Hz, Amp=-9.00dBm */
  /* Caller ID Profile */
  0x00, 0x05, 0x00, 0x20, 0x00, 0x00,
  0x09, 0xD4, /* MPI Length and Command */
  0x46, 0x66, 0x1E, 0x78, 0x26, 0x66, 0x1E, 0x78, /* MPI Data */
  0x00, 0x01, /* Checksum Computed by device/API */
  0x00, 0x10, /* Length of Elements Data */
  0x00, 0x06, 0x02, 0x58, /* Silence Interval for 600ms */
  0x00, 0x09, 0x00, 0xFA, /* Channel Seizure for 250ms */
  0x00, 0x0A, 0x00, 0x96, /* Mark Signal for 150ms */
  0x00, 0x0B, /* Message Data (FSK Format) */
  0x00, 0x0D  /* End of Transmission */
};

/************** Metering Profile **************/

/* Metering Index 1 */
const VpProfileDataType METER_1[] =
{
  /* Metering Profile */
  0x00, 0x07, 0x00, 0x08, 0x00, 0x05,
  0x6A, 0x00,  /* Smooth, 12 kHz Tone */
  0xD0, 0x27,  /* MLIM = 1019.97 mVpeak */
  0x20, 0x00,  /* MTRA = 15.04 mA */
};

/* end of file profiles8.c */
